Page MenuHomePhabricator

Remove Revision::newFromPageId
Closed, ResolvedPublic

Description

Hard deprecated in 1.35
Remaining uses that need to be updated first

  • DataTable2

Event Timeline

DannyS712 changed the task status from Open to Stalled.Mar 24 2020, 9:25 PM
DannyS712 triaged this task as Medium priority.
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Cannot be removed until 1.36

Change 583188 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/DataTable2@master] Remove use of Revision::newFromPageId

https://gerrit.wikimedia.org/r/583188

Change 583188 merged by jenkins-bot:
[mediawiki/extensions/DataTable2@master] Remove use of Revision::newFromPageId

https://gerrit.wikimedia.org/r/583188

DannyS712 changed the task status from Stalled to Open.Jul 14 2020, 9:51 AM

Change 652405 had a related patch set uploaded (by Majavah; owner: Majavah):
[mediawiki/core@master] Remove multiple unused deprecated Revision methods

https://gerrit.wikimedia.org/r/652405

Change 652405 abandoned by Majavah:
[mediawiki/core@master] Remove multiple unused deprecated Revision methods

Reason:
not yet ready, whole class is going to be removed in 1.37

https://gerrit.wikimedia.org/r/652405

DannyS712 changed the task status from Open to Stalled.Dec 29 2020, 9:01 PM
DannyS712 removed a project: Patch-For-Review.

Reflect decision to wait until 1.37 for Revision removals

This task was filed when I was not expecting to be able to remove the whole Revision class, sorry for the confusion. Resolving now that the entire class has been removed as part of T247143, see rMW983984d5d4a4: EPIC: Remove the Revision class entirely.